Skip to main content
POST
/
api
/
payments
/
sync
Sync Stripe Payments State
curl --request POST \
  --url https://api.example.com/api/payments/sync \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "environment": "all"
}
'
{
  "results": [
    {
      "environment": "test",
      "connection": {
        "environment": "test",
        "status": "unconfigured",
        "stripeAccountId": "acct_123",
        "stripeAccountEmail": "owner@example.com",
        "accountLivemode": true,
        "webhookEndpointId": "we_123",
        "webhookEndpointUrl": "https://api.example.com/api/webhooks/stripe/test",
        "webhookConfiguredAt": "2023-11-07T05:31:56Z",
        "maskedKey": "sk_test_...abcd",
        "lastSyncedAt": "2023-11-07T05:31:56Z",
        "lastSyncStatus": "succeeded",
        "lastSyncError": "<string>",
        "lastSyncCounts": {}
      },
      "subscriptions": {
        "environment": "test",
        "synced": 1,
        "unmapped": 1,
        "deleted": 1
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.insforge.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
environment
default:all
Available options:
test,
live

Response

Sync result for configured environments

results
object[]
required